FreeMat

- Main Page
- Related Pages

vtkProcessIdScalars

Section: Visualization Toolkit Parallel Classes

# Usage

vtkProcessIdScalars is meant to display which processor owns which cells and points. It is useful for visualizing the partitioning for streaming or distributed pipelines.

To create an instance of class vtkProcessIdScalars, simply invoke its constructor as follows

      obj = vtkProcessIdScalars

# Methods

The class vtkProcessIdScalars has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkProcessIdScalars class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkProcessIdScalars = obj.NewInstance ()`
- `vtkProcessIdScalars = obj.SafeDownCast (vtkObject o)`
- `obj.SetScalarModeToCellData ()` - Option to centerate cell scalars of points scalars. Default is point scalars.
- `obj.SetScalarModeToPointData ()` - Option to centerate cell scalars of points scalars. Default is point scalars.
- `int = obj.GetScalarMode ()`
- `obj.SetRandomMode (int )`
- `int = obj.GetRandomMode ()`
- `obj.RandomModeOn ()`
- `obj.RandomModeOff ()`
- `obj.SetController (vtkMultiProcessController )` - By defualt this filter uses the global controller, but this method can be used to set another instead.
- `vtkMultiProcessController = obj.GetController ()` - By defualt this filter uses the global controller, but this method can be used to set another instead.